/*
 * PiePlot.java
 *
 * Created on 16 agosto 2005, 10.19
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;

import it.businesslogic.ireport.chart.Axis;

/**
 *
 * @author Administrator
 */
public class MultiAxisPlot extends Plot{
    
    private java.util.List axis = new java.util.ArrayList();
    
    /** Creates a new instance of PiePlot */
    public MultiAxisPlot() {
    }
    
    public Plot cloneMe()
    {
        MultiAxisPlot obj = new MultiAxisPlot();
        copyBasePlot(obj);
        for (int i=0; i<getAxis().size(); ++i)
        {
            obj.getAxis().add( ((Axis)getAxis().get(i)).cloneMe()  );
        }
        
        return obj;
    }

    public java.util.List getAxis() {
        return axis;
    }

    public void setAxis(java.util.List axis) {
        this.axis = axis;
    }
}
